summaryrefslogtreecommitdiffstats
path: root/network/remotebox
diff options
context:
space:
mode:
author Charadon2023-01-29 23:59:25 +0100
committer Willy Sudiarto Raharjo2023-02-04 01:19:51 +0100
commitf055e5132ece65a393d921474ca37eaa5ba26dda (patch)
tree19232fe69616cd59142d3e72808a6d5f3d772759 /network/remotebox
parente38f04fc33d8e61274c6ecdef3a55d0a3c654d00 (diff)
downloadslackbuilds-f055e5132ece65a393d921474ca37eaa5ba26dda.tar.gz
network/remotebox: Added (An open-source VirtualBox client)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/remotebox')
-rw-r--r--network/remotebox/README8
-rw-r--r--network/remotebox/doinst.sh5
-rw-r--r--network/remotebox/remotebox.SlackBuild86
-rw-r--r--network/remotebox/remotebox.info10
-rw-r--r--network/remotebox/slack-desc19
5 files changed, 128 insertions, 0 deletions
diff --git a/network/remotebox/README b/network/remotebox/README
new file mode 100644
index 0000000000..801d9eb894
--- /dev/null
+++ b/network/remotebox/README
@@ -0,0 +1,8 @@
+RemoteBox is an open-source VirtualBox client which means you can
+remotely administer (ie over the network) an installation of
+VirtualBox on a server, including its guests and interact with them
+as if they were running locally. VirtualBox is installed on the
+server machine and RemoteBox runs on the client machine. RemoteBox
+provides a complete Gtk 3 graphical interface with a look and feel
+similar to that of VirtualBox's native GUI and supports the vast
+majority of features.
diff --git a/network/remotebox/doinst.sh b/network/remotebox/doinst.sh
new file mode 100644
index 0000000000..00dd0228da
--- /dev/null
+++ b/network/remotebox/doinst.sh
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/network/remotebox/remotebox.SlackBuild b/network/remotebox/remotebox.SlackBuild
new file mode 100644
index 0000000000..e7fb09d0f1
--- /dev/null
+++ b/network/remotebox/remotebox.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/bash
+
+# Slackware build script for remotebox
+
+# Copyright 2023 Charadon
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=remotebox
+SRCNAM=RemoteBox
+VERSION=${VERSION:-3.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+ARCH="noarch"
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.bz2
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Set the locations of Remotebox's files.
+sed -i 's|$Bin/share/remotebox|/usr/share/remotebox|g' remotebox
+
+mkdir -p $PKG/usr/share
+cp -r share/remotebox $PKG/usr/share
+
+install -Dm755 remotebox $PKG/usr/bin/remotebox
+install -Dm644 packagers-readme/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+install -Dm644 share/$PRGNAM/icons/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
+install -Dm644 packagers-readme/$PRGNAM.appdata.xml \
+ $PKG/usr/share/appdata/$PRGNAM.appdata.xml
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a docs/COPYING docs/changelog.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/remotebox/remotebox.info b/network/remotebox/remotebox.info
new file mode 100644
index 0000000000..6ef9373e18
--- /dev/null
+++ b/network/remotebox/remotebox.info
@@ -0,0 +1,10 @@
+PRGNAM="remotebox"
+VERSION="3.2"
+HOMEPAGE="https://remotebox.knobgoblin.org.uk/"
+DOWNLOAD="https://remotebox.knobgoblin.org.uk/downloads/RemoteBox-3.2.tar.bz2"
+MD5SUM="04a4c2be0802aea1fcae7d14bca0fc71"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="perl-glib perl-SOAP-Lite perl-Gtk3"
+MAINTAINER="Charadon"
+EMAIL="dev@iotib.net"
diff --git a/network/remotebox/slack-desc b/network/remotebox/slack-desc
new file mode 100644
index 0000000000..d6d6c2a42f
--- /dev/null
+++ b/network/remotebox/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+remotebox: remotebox (An open-source VirtualBox client)
+remotebox:
+remotebox: RemoteBox is an open-source VirtualBox client which means you can
+remotebox: remotely administer (ie over the network) an installation of
+remotebox: VirtualBox on a server, including its guests and interact with them
+remotebox: as if they were running locally. VirtualBox is installed on the
+remotebox: server machine and RemoteBox runs on the client machine. RemoteBox
+remotebox: provides a complete Gtk 3 graphical interface with a look and feel
+remotebox: similar to that of VirtualBox's native GUI and supports the vast
+remotebox: majority of features.
+remotebox: